## JOSS backlog

> tl;dr This is an attempt to capture a prioritized backlog for JOSS, noting the rough level of difficulty for each item. The intent is that after feedback from @openjournals/joss-editors and @openjournals/dev we'll go ahead and open a bunch of issues to track items here, and manage them in a GitHub Project board.

## Author improvements

[Author improvements across JOSS, Whedon, Whedon-API](https://github.com/search?q=org%3Aopenjournals+label%3Aenhancement%3Aauthor&type=Issues)

### High-priority issues

- Whedon should return a better error when it can't git clone: https://github.com/openjournals/whedon/issues/60
- Whedon should check paper structure: https://github.com/openjournals/whedon-api/issues/54
- Help authors pick from a pre-defined list of tags: https://github.com/openjournals/joss/issues/677
- Author dashboard for a paper to show its status: https://github.com/openjournals/joss/issues/514

## Reviewer improvements

[Reviewer improvements across JOSS, Whedon, Whedon-API](https://github.com/search?q=org%3Aopenjournals+label%3Aenhancement%3Areviewer&type=Issues)

### High-priority issues

- Managing reviewer workload: https://github.com/openjournals/joss/issues/436
- Automate reviewer suggestions: https://github.com/openjournals/whedon-api/issues/2
- Better acknowledgement of reviewers: https://github.com/openjournals/joss/issues/624
- Show reviewer names on papers (rather than GitHub handles): https://github.com/openjournals/joss/issues/667

## Editor improvements

[Editor improvements across JOSS, Whedon, Whedon-API](https://github.com/search?q=org%3Aopenjournals+label%3Aenhancement%3Aeditor&type=Issues)

### High-priority issues

- Whedon should help editors identify reviewers: https://github.com/openjournals/whedon-api/issues/2
- Whedon should be able to update the repository address: https://github.com/openjournals/whedon-api/issues/75
- Whedon should be able to add (or remove) a reviewer mid-review: https://github.com/openjournals/whedon-api/issues/65
- Whedon should not allow arbitrary string for reviewer names: https://github.com/openjournals/whedon-api/issues/30

## General improvements

[Reader improvements across JOSS, Whedon, Whedon-API](https://github.com/search?q=org%3Aopenjournals+label%3Aenhancement%3Areader&type=Issues)  
[General improvements across JOSS, Whedon, Whedon-API](https://github.com/search?q=org%3Aopenjournals+label%3Aenhancement%3Ameta&type=Issues)

### High-priority issues

- JOSS should produce JATS XML for indexers (e.g. PubMed Central) https://github.com/openjournals/whedon/issues/36
- JOSS website should show publication statistics: https://github.com/openjournals/joss/issues/532
- Improved docs on our editorial management policies: https://github.com/openjournals/joss/issues/492
